VTK: vtkOverlappingAMR Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkOverlappingAMR Class Reference

hierarchical dataset of vtkUniformGrids More...

`#include <vtkOverlappingAMR.h>`

Inheritance diagram for vtkOverlappingAMR:
[legend]
Collaboration diagram for vtkOverlappingAMR:
[legend]

## Public Types
typedef vtkUniformGridAMR | Superclass
Public Types inherited from vtkUniformGridAMR
typedef vtkCompositeDataSet | Superclass
Public Types inherited from vtkCompositeDataSet
typedef vtkDataObject | Superclass
Public Types inherited from vtkDataObject
enum | FieldAssociations { FIELD_ASSOCIATION_POINTS , FIELD_ASSOCIATION_CELLS , FIELD_ASSOCIATION_NONE , FIELD_ASSOCIATION_POINTS_THEN_CELLS , FIELD_ASSOCIATION_VERTICES , FIELD_ASSOCIATION_EDGES , FIELD_ASSOCIATION_ROWS , NUMBER_OF_ASSOCIATIONS }
| Possible values for the FIELD_ASSOCIATION information entry. More...
enum | AttributeTypes { POINT , CELL , FIELD , POINT_THEN_CELL , VERTEX , EDGE , ROW , NUMBER_OF_ATTRIBUTE_TYPES }
| Possible attribute types. More...
enum | FieldOperations { FIELD_OPERATION_PRESERVED , FIELD_OPERATION_REINTERPOLATED , FIELD_OPERATION_MODIFIED , FIELD_OPERATION_REMOVED }
| Possible values for the FIELD_OPERATION information entry. More...
typedef vtkObject | Superclass

## Public Member Functions
int | GetDataObjectType () override
| Return class name of data type (see vtkType.h for definitions). More...
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkOverlappingAMR * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
vtkCompositeDataIterator * | NewIterator () override
| Return a new iterator (the iterator has to be deleted by the user). More...
void | GetBounds (unsigned int level, unsigned int id, double bb[6])
| Returns the bounding information of a data set. More...
void | GetOrigin (unsigned int level, unsigned int id, double origin[3])
| Returns the origin of an AMR block. More...
void | SetRefinementRatio (unsigned int level, int refRatio)
| Sets the refinement of a given level. More...
int | GetRefinementRatio (unsigned int level)
| Returns the refinement of a given level. More...
int | GetRefinementRatio (vtkCompositeDataIterator *iter)
| Returns the refinement ratio for the position pointed by the iterator. More...
bool | HasChildrenInformation ()
| Return whether parent child information has been generated. More...
void | GenerateParentChildInformation ()
| Generate the parent/child relationships - needed to be called before GetParents or GetChildren can be used! More...
unsigned int * | GetParents (unsigned int level, unsigned int index, unsigned int &numParents)
| Return a pointer to Parents of a block. More...
unsigned int * | GetChildren (unsigned int level, unsigned int index, unsigned int &numChildren)
| Return a pointer to Children of a block. More...
void | PrintParentChildInfo (unsigned int level, unsigned int index)
| Prints the parents and children of a requested block (Debug Routine) More...
void | GetBounds (double b[6])
bool | FindGrid (double q[3], unsigned int &level, unsigned int &gridId)
| Given a point q, find the highest level grid that contains it. More...
vtkAMRInformation * | GetAMRInfo () override
| Get/Set the internal representation of amr meta meta data. More...
void | SetAMRInfo (vtkAMRInformation *info) override
| Get/Set the meta AMR meta info. More...
void | SetOrigin (const double origin[3])
| Get/Set the global origin of the amr data set. More...
double * | GetOrigin ()
| Get/Set the global origin of the amr data set. More...
void | SetSpacing (unsigned int level, const double spacing[3])
| Get/Set the grid spacing at a given level. More...
void | GetSpacing (unsigned int level, double spacing[3])
| Get/Set the grid spacing at a given level. More...
void | SetAMRBox (unsigned int level, unsigned int id, const vtkAMRBox &box)
| Set/Get the AMRBox for a given block. More...
const vtkAMRBox & | GetAMRBox (unsigned int level, unsigned int id)
| Set/Get the AMRBox for a given block. More...
void | SetAMRBlockSourceIndex (unsigned int level, unsigned int id, int sourceId)
| Set/Get the source id of a block. More...
int | GetAMRBlockSourceIndex (unsigned int level, unsigned int id)
| Set/Get the source id of a block. More...
Public Member Functions inherited from vtkUniformGridAMR
vtkUniformGridAMR * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
vtkCompositeDataIterator * | NewIterator () override
| Return a new iterator (the iterator has to be deleted by the user). More...
int | GetDataObjectType () override
| Return class name of data type (see vtkType.h for definitions). More...
void | Initialize () override
| Restore data object to initial state. More...
virtual void | Initialize (int numLevels, const int *blocksPerLevel)
| Initialize the AMR with a specified number of levels and the blocks per level. More...
void | SetGridDescription (int gridDescription)
| Set/Get the data description of this uniform grid instance, e.g. More...
int | GetGridDescription ()
unsigned int | GetNumberOfLevels ()
| Get number of levels. More...
virtual unsigned int | GetTotalNumberOfBlocks ()
| Get the total number of blocks, including nullptr blocks. More...
unsigned int | GetNumberOfDataSets (unsigned int level)
| Get the number of datasets at the given level, including null blocks. More...
void | SetDataSet (vtkCompositeDataIterator *iter, vtkDataObject *dataObj) override
| Overriding superclass method. More...
virtual void | SetDataSet (unsigned int level, unsigned int idx, vtkUniformGrid *grid)
| At the passed in level, set grid as the idx'th block at that level. More...
vtkDataObject * | GetDataSet (vtkCompositeDataIterator *iter) override
| Get the data set pointed to by iter. More...
vtkUniformGrid * | GetDataSet (unsigned int level, unsigned int idx)
| Get the data set using the (level, index) pair. More...
int | GetCompositeIndex (unsigned int level, unsigned int index)
| Retrieves the composite index associated with the data at the given (level,index) pair. More...
void | GetLevelAndIndex (unsigned int compositeIdx, unsigned int &level, unsigned int &idx)
| Given the compositeIdx (as set by SetCompositeIdx) this method returns the corresponding level and dataset index within the level. More...
void | RecursiveShallowCopy (vtkDataObject *src) override
| Depreacted RecursiveShallowCopy method, uses ShallowCopy. More...
void | DeepCopy (vtkDataObject *src) override
| DeepCopy. More...
void | CopyStructure (vtkCompositeDataSet *src) override
| CopyStructure. More...
void | GetBounds (double bounds[6])
| Get the (min/max) bounds of the AMR domain. More...
const double * | GetBounds ()
| Get the (min/max) bounds of the AMR domain. More...
void | GetMin (double min[3])
| Get the (min/max) bounds of the AMR domain. More...
void | GetMax (double max[3])
| Get the (min/max) bounds of the AMR domain. More...
void | CompositeShallowCopy (vtkCompositeDataSet *src) override
| ShallowCopy. More...
void | ShallowCopy (vtkDataObject *src) override
| ShallowCopy. More...
Public Member Functions inherited from vtkCompositeDataSet
vtkCompositeDataSet * | NewInstance () const
virtual vtkDataObject * | GetDataSet (unsigned int flatIndex)
| Returns the dataset located at the position pointed by the flatIndex. More...
unsigned long | GetActualMemorySize () override
| Return the actual size of the data in kibibytes (1024 bytes). More...
virtual vtkIdType | GetNumberOfPoints ()
| Returns the total number of points of all blocks. More...
virtual vtkIdType | GetNumberOfCells ()
| Returns the total number of cells of all blocks. More...
vtkIdType | GetNumberOfElements (int type) override
| Get the number of elements for a specific attribute type (POINT, CELL, etc.). More...
void | GetBounds (double bounds[6])
| Return the geometric bounding box in the form (xmin,xmax, ymin,ymax, zmin,zmax). More...
Public Member Functions inherited from vtkDataObject
vtkDataObject * | NewInstance () const
vtkMTimeType | GetMTime () override
| Data objects are composite objects and need to check each part for MTime. More...
void | ReleaseData ()
| Release data back to system to conserve memory resource. More...
vtkMTimeType | GetUpdateTime ()
| Used by Threaded ports to determine if they should initiate an asynchronous update (still in development). More...
virtual void | CopyInformationFromPipeline (vtkInformation *vtkNotUsed(info))
| Copy from the pipeline information to the data object's own information. More...
virtual void | CopyInformationToPipeline (vtkInformation *vtkNotUsed(info))
| Copy information from this data object to the pipeline information. More...
void | DataHasBeenGenerated ()
| This method is called by the source when it executes to generate data. More...
virtual void | PrepareForNewData ()
| make the output data ready for new data to be inserted. More...
virtual int | GetExtentType ()
| The ExtentType will be left as VTK_PIECES_EXTENT for data objects such as vtkPolyData and vtkUnstructuredGrid. More...
virtual void | Crop (const int *updateExtent)
| This method crops the data object (if necessary) so that the extent matches the update extent. More...
virtual vtkDataSetAttributes * | GetAttributes (int type)
| Returns the attributes of the data object of the specified attribute type. More...
virtual vtkUnsignedCharArray * | GetGhostArray (int type)
| Returns the ghost arrays of the data object of the specified attribute type. More...
virtual vtkFieldData * | GetAttributesAsFieldData (int type)
| Returns the attributes of the data object as a vtkFieldData. More...
virtual int | GetAttributeTypeForArray (vtkAbstractArray *arr)
| Retrieves the attribute type that an array came from. More...
virtual vtkInformation * | GetInformation ()
| Set/Get the information object associated with this data object. More...
virtual void | SetInformation (vtkInformation *)
| Set/Get the information object associated with this data object. More...
virtual vtkTypeBool | GetDataReleased ()
| Get the flag indicating the data has been released. More...
virtual void | SetFieldData (vtkFieldData *)
| Assign or retrieve a general field data to this data object. More...
virtual vtkFieldData * | GetFieldData ()
| Assign or retrieve a general field data to this data object. More...
void | GlobalReleaseDataFlagOn ()
| Turn on/off flag to control whether every object releases its data after being used by a filter. More...
void | GlobalReleaseDataFlagOff ()
| Turn on/off flag to control whether every object releases its data after being used by a filter. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkOverlappingAMR * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkOverlappingAMR * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIdTypeKey * | NUMBER_OF_BLANKED_POINTS ()
static vtkOverlappingAMR * | GetData (vtkInformation *info)
| Retrieve an instance of this class from an information object. More...
static vtkOverlappingAMR * | GetData (vtkInformationVector *v, int i=0)
Static Public Member Functions inherited from vtkUniformGridAMR
static vtkUniformGridAMR * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkUniformGridAMR * | SafeDownCast (vtkObjectBase *o)
static vtkUniformGridAMR * | GetData (vtkInformation *info)
| Retrieve an instance of this class from an information object. More...
static vtkUniformGridAMR * | GetData (vtkInformationVector *v, int i=0)
| Retrieve an instance of this class from an information object. More...
Static Public Member Functions inherited from vtkCompositeDataSet
static vtkTypeBool | IsTypeOf (const char *type)
static vtkCompositeDataSet * | SafeDownCast (vtkObjectBase *o)
static vtkInformationStringKey * | NAME ()
| Key used to put node name in the meta-data associated with a node. More...
static vtkInformationIntegerKey * | CURRENT_PROCESS_CAN_LOAD_BLOCK ()
| Key used to indicate that the current process can load the data in the node. More...
template<class DataSetT = vtkDataSet>
static std::vector< DataSetT * > | GetDataSets (vtkDataObject *dobj, bool preserveNull=false)
| Extract datasets from the given data object. More...
static vtkCompositeDataSet * | GetData (vtkInformation *info)
| Retrieve an instance of this class from an information object. More...
static vtkCompositeDataSet * | GetData (vtkInformationVector *v, int i=0)
| Retrieve an instance of this class from an information object. More...
Static Public Member Functions inherited from vtkDataObject
static vtkDataObject * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkDataObject * | SafeDownCast (vtkObjectBase *o)
static vtkInformation * | GetActiveFieldInformation (vtkInformation *info, int fieldAssociation, int attributeType)
| Return the information object within the input information object's field data corresponding to the specified association (FIELD_ASSOCIATION_POINTS or FIELD_ASSOCIATION_CELLS) and attribute (SCALARS, VECTORS, NORMALS, TCOORDS, or TENSORS) More...
static vtkInformation * | GetNamedFieldInformation (vtkInformation *info, int fieldAssociation, const char *name)
| Return the information object within the input information object's field data corresponding to the specified association (FIELD_ASSOCIATION_POINTS or FIELD_ASSOCIATION_CELLS) and name. More...
static void | RemoveNamedFieldInformation (vtkInformation *info, int fieldAssociation, const char *name)
| Remove the info associated with an array. More...
static vtkInformation * | SetActiveAttribute (vtkInformation *info, int fieldAssociation, const char *attributeName, int attributeType)
| Set the named array to be the active field for the specified type (SCALARS, VECTORS, NORMALS, TCOORDS, or TENSORS) and association (FIELD_ASSOCIATION_POINTS or FIELD_ASSOCIATION_CELLS). More...
static void | SetActiveAttributeInfo (vtkInformation *info, int fieldAssociation, int attributeType, const char *name, int arrayType, int numComponents, int numTuples)
| Set the name, array type, number of components, and number of tuples within the passed information object for the active attribute of type attributeType (in specified association, FIELD_ASSOCIATION_POINTS or FIELD_ASSOCIATION_CELLS). More...
static void | SetPointDataActiveScalarInfo (vtkInformation *info, int arrayType, int numComponents)
| Convenience version of previous method for use (primarily) by the Imaging filters. More...
static const char * | GetAssociationTypeAsString (int associationType)
| Given an integer association type, this static method returns a string type for the attribute (i.e. More...
static int | GetAssociationTypeFromString (const char *associationName)
| Given a string association name, this static method returns an integer association type for the attribute (i.e. More...
static vtkInformationStringKey * | DATA_TYPE_NAME ()
static vtkInformationDataObjectKey * | DATA_OBJECT ()
static vtkInformationIntegerKey * | DATA_EXTENT_TYPE ()
static vtkInformationIntegerPointerKey * | DATA_EXTENT ()
static vtkInformationIntegerVectorKey * | ALL_PIECES_EXTENT ()
static vtkInformationIntegerKey * | DATA_PIECE_NUMBER ()
static vtkInformationIntegerKey * | DATA_NUMBER_OF_PIECES ()
static vtkInformationIntegerKey * | DATA_NUMBER_OF_GHOST_LEVELS ()
static vtkInformationDoubleKey * | DATA_TIME_STEP ()
static vtkInformationInformationVectorKey * | POINT_DATA_VECTOR ()
static vtkInformationInformationVectorKey * | CELL_DATA_VECTOR ()
static vtkInformationInformationVectorKey * | VERTEX_DATA_VECTOR ()
static vtkInformationInformationVectorKey * | EDGE_DATA_VECTOR ()
static vtkInformationIntegerKey * | FIELD_ARRAY_TYPE ()
static vtkInformationIntegerKey * | FIELD_ASSOCIATION ()
static vtkInformationIntegerKey * | FIELD_ATTRIBUTE_TYPE ()
static vtkInformationIntegerKey * | FIELD_ACTIVE_ATTRIBUTE ()
static vtkInformationIntegerKey * | FIELD_NUMBER_OF_COMPONENTS ()
static vtkInformationIntegerKey * | FIELD_NUMBER_OF_TUPLES ()
static vtkInformationIntegerKey * | FIELD_OPERATION ()
static vtkInformationDoubleVectorKey * | FIELD_RANGE ()
static vtkInformationIntegerVectorKey * | PIECE_EXTENT ()
static vtkInformationStringKey * | FIELD_NAME ()
static vtkInformationDoubleVectorKey * | ORIGIN ()
static vtkInformationDoubleVectorKey * | SPACING ()
static vtkInformationDoubleVectorKey * | DIRECTION ()
static vtkInformationDoubleVectorKey * | BOUNDING_BOX ()
static vtkInformationDataObjectKey * | SIL ()
static vtkDataObject * | GetData (vtkInformation *info)
| Retrieve an instance of this class from an information object. More...
static vtkDataObject * | GetData (vtkInformationVector *v, int i=0)
| Retrieve an instance of this class from an information object. More...
static void | SetGlobalReleaseDataFlag (vtkTypeBool val)
| Turn on/off flag to control whether every object releases its data after being used by a filter. More...
static vtkTypeBool | GetGlobalReleaseDataFlag ()
| Turn on/off flag to control whether every object releases its data after being used by a filter. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
Protected Member Functions inherited from vtkUniformGridAMR
| vtkUniformGridAMR ()
| ~vtkUniformGridAMR () override
virtual vtkAMRDataInternals * | GetAMRData ()
| Get the meta AMR meta data. More...
Protected Member Functions inherited from vtkCompositeDataSet
| vtkCompositeDataSet ()
| ~vtkCompositeDataSet () override
Protected Member Functions inherited from vtkDataObject
| vtkDataObject ()
| ~vtkDataObject () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)
void | Audit ()
| Check whether the data set is internally consistent, e.g. More...
| vtkOverlappingAMR ()
| Check whether the data set is internally consistent, e.g. More...
| ~vtkOverlappingAMR () override
| Check whether the data set is internally consistent, e.g. More...

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkUniformGridAMR
double | Bounds [6]
vtkAMRDataInternals * | AMRData
vtkAMRInformation * | AMRInfo
Protected Attributes inherited from vtkDataObject
vtkFieldData * | FieldData
vtkTypeBool | DataReleased
vtkTimeStamp | UpdateTime
vtkInformation * | Information
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

hierarchical dataset of vtkUniformGrids

vtkOverlappingAMR extends vtkUniformGridAMR by exposing access to the amr meta data, which stores all structural information represented by an vtkAMRInformation object

See also
  vtkAMRInformation

Examples:
  vtkOverlappingAMR (Examples)

Online Examples:

Tests:
  vtkOverlappingAMR (Tests)

Definition at line 44 of file vtkOverlappingAMR.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkUniformGridAMR vtkOverlappingAMR::Superclass

Definition at line 54 of file vtkOverlappingAMR.h.

## Constructor & Destructor Documentation

## ◆ vtkOverlappingAMR()

vtkOverlappingAMR::vtkOverlappingAMR | ( |  | ) |
| protected

Check whether the data set is internally consistent, e.g.

whether the meta data and actual data blocks match. Incorrectness will be reported as error messages

## ◆ ~vtkOverlappingAMR()

vtkOverlappingAMR::~vtkOverlappingAMR | ( |  | ) |
| overrideprotected

Check whether the data set is internally consistent, e.g.

whether the meta data and actual data blocks match. Incorrectness will be reported as error messages

## Member Function Documentation

## ◆ New()

static vtkOverlappingAMR* vtkOverlappingAMR::New | ( |  | ) |
| static

## ◆ GetDataObjectType()

int vtkOverlappingAMR::GetDataObjectType | ( |  | ) |
| inlineoverridevirtual

Return class name of data type (see vtkType.h for definitions).

Reimplemented from vtkCompositeDataSet.

Definition at line 52 of file vtkOverlappingAMR.h.

## ◆ IsTypeOf()

static vtkTypeBool vtkOverlappingAMR::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkOverlappingAMR::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkUniformGridAMR.

Reimplemented in vtkHierarchicalBoxDataSet.

## ◆ SafeDownCast()

static vtkOverlappingAMR* vtkOverlappingAMR::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkOverlappingAMR::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkUniformGridAMR.

Reimplemented in vtkHierarchicalBoxDataSet.

## ◆ NewInstance()

vtkOverlappingAMR* vtkOverlappingAMR::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkOverlappingAMR::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkCompositeDataSet.

## ◆ NewIterator()

vtkCompositeDataIterator* vtkOverlappingAMR::NewIterator | ( |  | ) |
| overridevirtual

Return a new iterator (the iterator has to be deleted by the user).

Implements vtkCompositeDataSet.

## ◆ SetOrigin()

void vtkOverlappingAMR::SetOrigin | ( | const double | origin[3] | ) |

Get/Set the global origin of the amr data set.

## ◆ GetOrigin() [1/2]

double* vtkOverlappingAMR::GetOrigin | ( |  | ) |

Get/Set the global origin of the amr data set.

## ◆ SetSpacing()

void vtkOverlappingAMR::SetSpacing | ( | unsigned int | level,
|  | const double | spacing[3]
| ) |  |

Get/Set the grid spacing at a given level.

## ◆ GetSpacing()

void vtkOverlappingAMR::GetSpacing | ( | unsigned int | level,
|  | double | spacing[3]
| ) |  |

Get/Set the grid spacing at a given level.

## ◆ SetAMRBox()

void vtkOverlappingAMR::SetAMRBox | ( | unsigned int | level,
|  | unsigned int | id,
|  | const vtkAMRBox & | box
| ) |  |

Set/Get the AMRBox for a given block.

## ◆ GetAMRBox()

const vtkAMRBox& vtkOverlappingAMR::GetAMRBox | ( | unsigned int | level,
|  | unsigned int | id
| ) |  |

Set/Get the AMRBox for a given block.

## ◆ GetBounds() [1/2]

void vtkOverlappingAMR::GetBounds | ( | unsigned int | level,
|  | unsigned int | id,
|  | double | bb[6]
| ) |  |

Returns the bounding information of a data set.

## ◆ GetOrigin() [2/2]

void vtkOverlappingAMR::GetOrigin | ( | unsigned int | level,
|  | unsigned int | id,
|  | double | origin[3]
| ) |  |

Returns the origin of an AMR block.

## ◆ NUMBER_OF_BLANKED_POINTS()

static vtkInformationIdTypeKey* vtkOverlappingAMR::NUMBER_OF_BLANKED_POINTS | ( |  | ) |
| static

## ◆ GetData() [1/2]

static vtkOverlappingAMR* vtkOverlappingAMR::GetData | ( | vtkInformation * | info | ) |
| inlinestatic

Retrieve an instance of this class from an information object.

Definition at line 101 of file vtkOverlappingAMR.h.

## ◆ GetData() [2/2]

static vtkOverlappingAMR* vtkOverlappingAMR::GetData | ( | vtkInformationVector * | v,
|  | int | i = `0`
| ) |  |
| inlinestatic

Definition at line 105 of file vtkOverlappingAMR.h.

## ◆ SetRefinementRatio()

void vtkOverlappingAMR::SetRefinementRatio | ( | unsigned int | level,
|  | int | refRatio
| ) |  |

Sets the refinement of a given level.

The spacing at level level+1 is defined as spacing(level+1) = spacing(level)/refRatio(level). Note that currently, this is not enforced by this class however some algorithms might not function properly if the spacing in the blocks (vtkUniformGrid) does not match the one described by the refinement ratio.

## ◆ GetRefinementRatio() [1/2]

int vtkOverlappingAMR::GetRefinementRatio | ( | unsigned int | level | ) |

Returns the refinement of a given level.

## ◆ SetAMRBlockSourceIndex()

void vtkOverlappingAMR::SetAMRBlockSourceIndex | ( | unsigned int | level,
|  | unsigned int | id,
|  | int | sourceId
| ) |  |

Set/Get the source id of a block.

The source id is produced by an AMR source, e.g. a file reader might set this to be a file block id

## ◆ GetAMRBlockSourceIndex()

int vtkOverlappingAMR::GetAMRBlockSourceIndex | ( | unsigned int | level,
|  | unsigned int | id
| ) |  |

Set/Get the source id of a block.

The source id is produced by an AMR source, e.g. a file reader might set this to be a file block id

## ◆ GetRefinementRatio() [2/2]

int vtkOverlappingAMR::GetRefinementRatio | ( | vtkCompositeDataIterator * | iter | ) |

Returns the refinement ratio for the position pointed by the iterator.

## ◆ HasChildrenInformation()

bool vtkOverlappingAMR::HasChildrenInformation | ( |  | ) |

Return whether parent child information has been generated.

## ◆ GenerateParentChildInformation()

void vtkOverlappingAMR::GenerateParentChildInformation | ( |  | ) |

Generate the parent/child relationships - needed to be called before GetParents or GetChildren can be used!

## ◆ GetParents()

unsigned int* vtkOverlappingAMR::GetParents | ( | unsigned int | level,
|  | unsigned int | index,
|  | unsigned int & | numParents
| ) |  |

Return a pointer to Parents of a block.

The first entry is the number of parents the block has followed by its parent ids in level-1. If none exits it returns nullptr.

## ◆ GetChildren()

unsigned int* vtkOverlappingAMR::GetChildren | ( | unsigned int | level,
|  | unsigned int | index,
|  | unsigned int & | numChildren
| ) |  |

Return a pointer to Children of a block.

The first entry is the number of children the block has followed by its children ids in level+1. If none exits it returns nullptr.

## ◆ PrintParentChildInfo()

void vtkOverlappingAMR::PrintParentChildInfo | ( | unsigned int | level,
|  | unsigned int | index
| ) |  |

Prints the parents and children of a requested block (Debug Routine)

## ◆ GetBounds() [2/2]

void vtkOverlappingAMR::GetBounds | ( | double | b[6] | ) |
| inline

Definition at line 170 of file vtkOverlappingAMR.h.

## ◆ FindGrid()

bool vtkOverlappingAMR::FindGrid | ( | double | q[3],
|  | unsigned int & | level,
|  | unsigned int & | gridId
| ) |  |

Given a point q, find the highest level grid that contains it.

## ◆ GetAMRInfo()

vtkAMRInformation* vtkOverlappingAMR::GetAMRInfo | ( |  | ) |
| inlineoverridevirtual

Get/Set the internal representation of amr meta meta data.

Reimplemented from vtkUniformGridAMR.

Definition at line 180 of file vtkOverlappingAMR.h.

## ◆ SetAMRInfo()

void vtkOverlappingAMR::SetAMRInfo | ( | vtkAMRInformation * |  | ) |
| inlineoverridevirtual

Get/Set the meta AMR meta info.

Reimplemented from vtkUniformGridAMR.

Definition at line 181 of file vtkOverlappingAMR.h.

## ◆ Audit()

void vtkOverlappingAMR::Audit | ( |  | ) |

Check whether the data set is internally consistent, e.g.

whether the meta data and actual data blocks match. Incorrectness will be reported as error messages

The documentation for this class was generated from the following file:

- Common/DataModel/vtkOverlappingAMR.h